<?php
require_once(_PS_MODULE_DIR_ . 'smspubli/includes/config.php');

require_once(_PS_MODULE_DIR_ . 'smspubli/classes/Session.php');

require_once(_PS_MODULE_DIR_ . 'smspubli/classes/SmsModuleConfig.php');

require_once(_PS_MODULE_DIR_ . 'smspubli/smspubli.php');

require_once(_PS_MODULE_DIR_ . 'smspubli/classes/Variables.php');
require_once(_PS_MODULE_DIR_ . 'smspubli/classes/CustomerDataBasic.php');

require_once(_PS_MODULE_DIR_ . 'smspubli/classes/Advert.php');

require_once(_PS_MODULE_DIR_ . 'smspubli/controller/APIController.php');

require_once(_PS_MODULE_DIR_ . 'smspubli/model/DAOHistory.php');

require_once(_PS_MODULE_DIR_ . 'smspubli/classes/DateHistory.php');

require_once(_PS_MODULE_DIR_ . 'smspubli/model/DAOPrefix.php');


class Home extends AdminTab
{


    public function display()
    {
        // Update module
        if(isset($_GET['update']) && $_GET['update'] == true)
        {
            if(isset($_GET['version']) && isset($_GET['link']))
            {
                $new_version = $_GET['version'];
                $link = $_GET['link'];
                require_once(_PS_MODULE_DIR_ . UPDATE_PATH);
            }
        }

        $module = SmsPubli::getInstance();

        $module->context->smarty->assign("module_name", MODULE_NAME);

        $action = _MODULE_DIR_."smspubli/ajaxCalls.php";
        $module->context->smarty->assign('action', $action);

        if(!Session::getInstance()->checkSession())
        {
            $link = $module->context->link->getAdminLink('Settings');
            $module->context->smarty->assign('link_settings', $link);

            $module->context->smarty->display(dirname(__FILE__) .'/HomeLogin.tpl');
        }

        else
        {
	    if(strpos($module->context->language->language_code, '-'))
		$lang = substr($module->context->language->language_code, 0, strpos($module->context->language->language_code, '-'));
	    else
		$lang = $module->context->language->language_code;
		
	    $dao_prefix = DAOPrefix::getInstance();
	    $prefixes = $dao_prefix->loadAll($lang);
	    $current_lang = $dao_prefix->HgM2fgaUK($module->context->language->iso_code);
	    
            $dao_history = DAOHistory::getInstance();

            $months = $dao_history->getMonths();

            if(count($months) > 0)
            {
                $table_history = $dao_history->load($months[0]->getYear()."-".$months[0]->getMonth());
            }
            else
            {
                $table_history = $dao_history->load();
            }

            $adverts = Advert::getAdverts();

            $api_key = SmsModuleConfig::getInstance()->getApiKey();

            $api_contgroller = APIController::getInstance();

            $balance = $api_contgroller->getBalance($api_key);
            $link = $module->context->link->getAdminLink('AddBalance');

            $show_free_trial = ($api_contgroller->getTrialStatus($api_key)=='ok') ? true : false;

            $module->context->smarty->assign('adverts', $adverts);
            $module->context->smarty->assign('balance', $balance);
            $module->context->smarty->assign('link_credit', $link);
            $module->context->smarty->assign('show_free_trial', $show_free_trial);
            
            $module->context->smarty->assign('prefixes', $prefixes);
	    $module->context->smarty->assign('current_lang', $current_lang);

            $module->context->smarty->assign('table_history', $table_history);
            $module->context->smarty->assign('months', $months);

            $module->context->smarty->display(dirname(__FILE__) .'/Home.tpl');

            // Update version
            if(isset($_GET['update']) && $_GET['update'] == true)
            {
                if(isset($_GET['version']) && isset($_GET['link']))
                {
                    $status = "OK";
                    $message = '';

                    $new_version = $_GET['version'];
                    $link = $_GET['link'];

                    ?>
                    <script type="text/javascript">
                        $('#button_update_close').hide();
                        $('#update_window').toggle(
                            function(){
                                $('#modal_layer_update').toggle();
                            }
                        );
                    </script>
                    <?php
                    require_once(_PS_MODULE_DIR_ . UPDATE_PATH);

                    doUpdate($status, $message, $new_version, $link);

                    if($status == 'OK')
                    {

                        $message = $module->l('Update finished', MODULE_NAME);
                        $message_status = $module->l('Module updated successfully', MODULE_NAME);
                    }
                    else
                    {
                        $message_status = $module->l('Module update failed', MODULE_NAME);
                    }
                    ?>
                    <script type="text/javascript">
                        $('#button_update_close').show();
                        $('#update_close').hide();
                        $('#modal_message_update').html("<?php echo $message; ?>");
                        $('#modal_message_update_action').html("<?php echo $message_status; ?>");

                        $('#button_update_close').click(function(){
                            $(location).attr("href", "<?php echo $module->context->link->getAdminLink('Home'); ?>")
                        });

                    </script>
                <?php

                }
            }
        }

    }

}