{extends file="./includes/templates/base.tpl"}

{block name="content"}
    <article class="home">
        {foreach from = $adverts item = advert}
            {if null!==$advert->getLink()}
                <a href="{$advert->getLink()}">
            {/if}
                <div class="container-alert alert-{$advert->getAlertType()}">
                    <div>
                        <h4>{$advert->getTitle()}</h4>
                        <p id="notification-message">{$advert->getMessage()}</p>
                    </div>
                </div>
            {if null!==$advert->getLink()}
                </a>
            {/if}
        {/foreach}
        <div class="content_start">
            <div class="column_left">
                <h3>{l s='History' mod='smspubli'}</h3>
                <form>
                    <fieldset class="form-group">
                        <div class="form-row">
                            <div id="filter-group">
                                <div class="filter">
                                    <div class="onoffswitch">
                                        <input type="checkbox" name="onoffswitch[]" class="onoffswitch-checkbox" id="filter-campaign" value="campaign" checked>
                                        <label class="onoffswitch-label" for="filter-campaign">
                                            <span class="onoffswitch-inner"></span>
                                            <span class="onoffswitch-switch"></span>
                                        </label>
                                    </div>
                                    <span class="text-out-switch">{l s='Campaigns' mod='smspubli'}</span>
                                </div>
                                <div class="filter">
                                    <div class="onoffswitch">
                                        <input type="checkbox" name="onoffswitch[]" class="onoffswitch-checkbox" id="filter-customerSMS" value="customerSMS" checked>
                                        <label class="onoffswitch-label" for="filter-customerSMS">
                                            <span class="onoffswitch-inner"></span>
                                            <span class="onoffswitch-switch"></span>
                                        </label>
                                    </div>
                                    <span class="text-out-switch">{l s='Customer notifications' mod='smspubli'}</span>
                                </div>
                                <div class="filter">
                                    <div class="onoffswitch">
                                        <input type="checkbox" name="onoffswitch[]" class="onoffswitch-checkbox" id="filter-adminSMS" value="adminSMS" checked>
                                        <label class="onoffswitch-label" for="filter-adminSMS">
                                            <span class="onoffswitch-inner"></span>
                                            <span class="onoffswitch-switch"></span>
                                        </label>
                                    </div>
                                    <span class="text-out-switch">{l s='Admin notifications' mod='smspubli'}</span>
                                </div>
                            </div>

                        </div>
                        <div class="form-row">
                            <label for="recipient">{l s='Recipient' mod='smspubli'}</label>
                            <div class="form-row">
                            <input type="text" id="recipient" name="recipient" class="filter-recipient form-control inline"/>
                            <button type="button" class="btn btn-secondary btn-small inline" id="button-filter-recipient">{l s='Filter' mod='smspubli'}</button>
                            </div>
                        </div>
                        <div class="form-row">
                            <label for="status">{l s='Status' mod='smspubli'}</label>
                            <div class="button-group">
                                <button type="button" name="status" id="status" class="btn btn-secondary btn-big list-toggle">-------</button>
                                <div class="dropdown-menu">
                                    <a class="dropdown-item" value="all">-------</a>
                                    <a class="dropdown-item" value="PENDING">PENDING</a>
                                    <a class="dropdown-item" value="DELIVRD">DELIVRD</a>
                                    <a class="dropdown-item" value="ACCEPTD">ACCEPTD</a>
                                    <a class="dropdown-item" value="EXPIRED">EXPIRED</a>
                                    <a class="dropdown-item" value="DELETED">DELETED</a>
                                    <a class="dropdown-item" value="UNDELIV">UNDELIV</a>
                                    <a class="dropdown-item" value="UNKNOWN">UNKNOWN</a>
                                    <a class="dropdown-item" value="REJECTD">REJECTD</a>
                                </div>
                            </div>
                            <input type="hidden" id="selected-status" name="selected-status" value="all"/>
                        </div>
                        <div class="form-row">
                            <label for="month">{l s='Date' mod='smspubli'}</label>
                            <div class="button-group">
                                <button type="button" name="month" id="month" class="btn btn-secondary btn-big list-toggle">
                                    {if count($months) != 0}
                                        {$months[0]->getMonthText()} {$months[0]->getYear()}
                                    {else}
                                        -------
                                    {/if}
                                </button>
                                {if count($months) != 0}
                                    <div class="dropdown-menu">
                                        {foreach from = $months item = date}
                                            <a class="dropdown-item" value="{$date->getYear()}-{$date->getMonth()}">{$date->getMonthText()} {$date->getYear()}</a>
                                        {/foreach}
                                    </div>
                                {/if}
                            </div>
                            <input type="hidden" id="selected-month" name="selected-month" value="{if count($months) != 0}{$months[0]->getYear()}-{$months[0]->getMonth()}{/if}"/>
                        </div>
                    </fieldset>
                </form>
            </div>
            <div class="column_right">
                <div class="balance">
                    {if ! isset($balance)}
                        <h3>{l s='Undefined' mod='smspubli'}</h3>
                    {else}
                        <h3>{$balance->getBalance()|number_format:2:",":"."}{$balance->getCurrencySymbol()}</h3>
                    {/if}
                    <span>{l s='Balance' mod='smspubli'}</span>
                    <button id="add_credit" type="button" class="btn btn-primary btn-big">{l s='Recharge balance' mod='smspubli'}</button>
                </div>
                {if $show_free_trial}
                    <button id="free_trial" type="button" class="btn btn-secondary btn-big">{l s='Get free balance' mod='smspubli'}</button>
                {/if}
            </div>
        </div>
        <div class="history">
            <table class="table">
                <thead>
                    <tr>
                        <th class="hist-id">{l s='Identifier' mod='smspubli'}</th>
                        <th class="hist-cc">{l s='Calling code' mod='smspubli'}</th>
                        <th class="hist-rec">{l s='Recipient' mod='smspubli'}</th>
                        <th class="hist-text">{l s='Text' mod='smspubli'}</th>
                        <th class="hist-num">{l s='Total SMS' mod='smspubli'}</th>
                        <th class="hist-stat">{l s='Status' mod='smspubli'}</th>
                        <th class="hist-date">{l s='Date' mod='smspubli'}</th>
                    </tr>
                </thead>
                <tbody id="history-filtered">
                    {foreach from = $table_history item = row}
                        <tr>
                            <td>{$row['custom']}</td>
                            <td>{$row['calling_code']}</td>
                            <td>{$row['recipient']}</td>
                            <td id="preview-{$row['custom']}">
                                {$row['text']|truncate:37:"..."}
                                <span class="hidden" id="text-{$row['custom']}">{$row['text']}</span>
                            </td>

                            <td>{$row['num_sms']}</td>
                            <td>{$row['dlr_status']}</td>
                            <td>{$row['row_created']}</td>
                        </tr>
                        {foreachelse}
                        <tr>
                            <td colspan="7">{l s='History is empty' mod='smspubli'}</td>
                        </tr>
                    {/foreach}
                </tbody>

            </table>
        </div>
    </article>
    <div id="information" class="alert-info hidden">
        <span></span>
    </div>
    <div class="modal-layer" id="modal_layer"></div>
    <div class="modal-window fade" id="form_trial" tabindex="-1" role="dialog">
        <div class="modal-window-dialog" role="document">
            <div class="modal-window-content">
                <div class="modal-window-header">
                    <a class="close button_modal_close">
                        <i class="fa fa-times-circle"></i>
                    </a>
                    <h4 class="modal-window-title" id="modal_title"></h4>
                </div>
                <form id="request_trial">
                    <div class="modal-window-body">
                        <div class="form-row">
			    <fieldset class="form-group">
			      <div class="button-group">
				<button type="button" name="input-prefix" id="input-prefix" class="btn btn-secondary btn-big list-toggle">{$prefixes[$current_lang]->getName()} (+{$prefixes[$current_lang]->getCallingCode()})</button>
				<div class="dropdown-menu">
				    {foreach from = $prefixes item = prefix}
					<a class="dropdown-item" value="{$prefix->getId()}">{$prefix->getName()} (+{$prefix->getCallingCode()})</a>
				    {/foreach}
				</div>
			      </div>
			      <input type="hidden" id="recipient-prefix" name="recipient-prefix" value="{$prefixes[$current_lang]->getId()}"/>
			    </fieldset>
                            <fieldset class="form-group">
                                <label for="number">{l s='Mobile phone number' mod='smspubli'}</label>
                                <input type="text" id="number" name="number" class="form-control" required/>
                            </fieldset>
                            <fieldset class="form-group">
                                <a id="existing_code" class="btn-link">{l s='Have you got a code?' mod='smspubli'}</a>
                            </fieldset>
                        </div>
                        <p id="modal_message_get_trial"></p>
                    </div>
                    <div class="modal-window-footer">
                        <button type="button" class="btn btn-secondary button_modal_close">{l s='Cancel' mod='smspubli'}</button>
                        <button id="request_trial_submit" type="submit" class="btn btn-primary">{l s='Free trial' mod='smspubli'}</button>
                    </div>
                </form>
                <form id="confirm_trial">
                    <div class="modal-window-body">
                        <div class="form-row">
                            <fieldset class="form-group">
                                <label for="code">{l s='SMS code' mod='smspubli'}</label>
                                <input type="text" id="code" name="code" class="form-control" required/>
                            </fieldset>
                        </div>
                        <p id="modal_message_confirm_trial"></p>
                    </div>
                    <div class="modal-window-footer">
                        <button type="button" class="btn btn-secondary button_modal_close">{l s='Cancel' mod='smspubli'}</button>
                        <button id="confirm_trial_submit" type="submit" class="btn btn-primary">{l s='Submit' mod='smspubli'}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal-layer" id="modal_layer_update"></div>
    <div class="modal-window fade" id="update_window" tabindex="-1" role="dialog">
        <div class="modal-window-dialog" role="document">
            <div class="modal-window-content">
                <div class="modal-window-header">
                    <a id="update_close" class="close button_update_close">
                        <i class="fa fa-times-circle"></i>
                    </a>
                    <h4 class="modal-window-title" id="modal_title">{l s='Updating to new version' mod='smspubli'}</h4>
                </div>
                <div class="modal-window-body">
                    <p id="modal_message_update">{l s='We are updating to a new version, please wait until the end of the update' mod='smspubli'}</p>
                    <p id="modal_message_update_action">{l s='Installing new version...' mod='smspubli'}</p>
                </div>
                <div class="modal-window-footer">
                    <button type="button" id="button_update_close" class="btn btn-secondary button_update_close">{l s='Close' mod='smspubli'}</button>
                </div>
            </div>
        </div>
    </div>
{/block}

{block name="jsCode" append}

    $('#add_credit').click(function(){
        $( location ).attr('href', '{$link_credit}');
    });

    $('.dropdown-item').click(function(){
        $(this).parent().siblings('.list-toggle').html($(this).html());
        var id = 'selected-' + $(this).parent().siblings('.list-toggle').attr('id');
        $('#'+id).val($(this).attr('value'));
        reloadHistory('{$action}');
        $(this).parent().toggle();

    });

    $('.list-toggle').click(function(){
        $(this).siblings('.dropdown-menu').toggle();
    });



    $('.onoffswitch-checkbox').click(function(){
        reloadHistory('{$action}');
    });

    $('#button-filter-recipient').click(function(){
        reloadHistory('{$action}');
    });

    $(".table tbody").on({
        mouseover: function (e) {
            var prefix = 'preview-';
            var key = $(this).attr('id').substr(prefix.length);
            $('#information span').html($('#text-'+key).html());
            $('#information').css( 'top', e.pageY -15 );
            $('#information').css( 'left', e.pageX + 100 );
            $('#information').removeClass('hidden');
            $('#information').show();
        },
        mouseout: function () {
            $('#information span').html('');
            $('#information').hide();
        }
    },'td[id^=preview-]');

    $('#free_trial').click(function(){
        showRequestTrialForm();
        $('#form_trial').toggle(
            function(){
                $('#modal_layer').toggle();
            }
        );
    });

    $('.button_modal_close').click(function(){
        $('#form_trial').toggle(
            function(){
                $('#modal_layer').toggle();
            }
        );
    });

    $('#existing_code').click(function(){
        showConfirmTrialForm();
    });

    $('#request_trial').submit(function(){
        submitTrialForm(this, '{$action}', 'getTrial');

        return false;
    });

    $('#confirm_trial').submit(function(){
        submitTrialForm(this, '{$action}', 'confirmTrial');

        return false;
    });

    $('.button_update_close').click(function(){
        $('#update_window').toggle(
            function(){
                $('#modal_layer_update').toggle();
            }
        );
    });
    
    $('.dropdown-item').click(function(){
        $('#input-prefix').html($(this).html());
        $('#recipient-prefix').val($(this).attr('value'));
        $(this).parent().toggle();
    });

{/block}
