{extends file="./includes/templates/base.tpl"}

{block name="content"}
    <article class="start">
        <a id="logo" href="http://smspubli.com" target="blank">
            <img src="../modules/smspubli/img/logo_header.png" alt="SMSpubli" title="SMSpubli"/>
        </a>
        <h3>{l s='Welcome! How do you want to start?' mod='smspubli'}</h3>
        <div class="start_options">
            <a id="new_user" class="button_start">
                <i class="smile"></i>
                <h4>{l s="I'm new and I want to try it for free" mod='smspubli'}</h4>
            </a>
            <a id="old_user" class="button_start">
                <i class="cool"></i>
                <h4>{l s='Enter my API key' mod='smspubli'}</h4>
            </a>
        </div>
    </article>

    <div class="modal-layer" id="modal_layer"></div>
    <div class="modal-window fade" id="form_email" tabindex="-1" role="dialog">
        <div class="modal-window-dialog" role="document">
            <div class="modal-window-content">
                <div class="modal-window-header">
                    <a class="close button_modal_close">
                        <i class="fa fa-times-circle"></i>
                    </a>
                    <h4 class="modal-window-title" id="modal_title"></h4>
                </div>
                <form id="create_account">
                    <div class="modal-window-body">
                        <div class="form-row">
                            <fieldset class="form-group">
                                <label for="email">{l s='Email' mod='smspubli'}</label>
                                <input type="text" id="email" name="email" class="form-control" required/>
                            </fieldset>
                        </div>
                        <p id="modal_message"></p>
                    </div>
                    <div class="modal-window-footer">
                        <button type="button" class="btn btn-secondary button_modal_close">{l s='Cancel' mod='smspubli'}</button>
                        <button id="create_account_submit" type="submit" class="btn btn-primary">{l s='Get API key' mod='smspubli'}</button>
                    </div>
                </form>
                <form id="enter_api_key">
                    <div class="modal-window-body">
                        <div class="form-row">
                            <fieldset class="form-group">
                                <label for="api_key">{l s='API key' mod='smspubli'}</label>
                                <input type="text" id="api_key" name="api_key" class="form-control" required/>
                            </fieldset>
                            <fieldset class="form-group">
                                <a id="rememeber_api_key" class="btn-link hidden">{l s='I forgot my API key' mod='smspubli'}</a>
                            </fieldset>
                        </div>
                        <p id="modal_message"></p>
                    </div>
                    <div class="modal-window-footer">
                        <button type="button" class="btn btn-secondary button_modal_close">{l s='Cancel' mod='smspubli'}</button>
                        <button id="enter_api_key_submit" type="submit" class="btn btn-primary">{l s='Save' mod='smspubli'}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

{/block}

{block name="jsCode" append}
    $('#new_user').click(function(){
        if(!$('#rememeber_api_key').hasClass('hidden')) {
            $('#rememeber_api_key').addClass('hidden');
        }
        showCreateAccountForm(msg['login']['text_create_account']);
        $('#form_email').toggle(
            function(){
                $('#modal_layer').toggle();
            }
        );
    });

    $('#old_user').click(function(){
        if($('#rememeber_api_key').hasClass('hidden')) {
            $('#rememeber_api_key').removeClass('hidden');
        }
        showIntroduceApiKeyForm();
        $('#form_email').toggle(
            function(){
                $('#modal_layer').toggle();
            }
        );
    });

    $('.button_modal_close').click(function(){
        $('#form_email').toggle(
            function(){
                $('#modal_layer').toggle();
            }
        );
    });

    $('#create_account').submit(function(){
        createAccountLoginForm(this, '{$action}', 'createAccount');

        return false;
    });

    $('#enter_api_key').submit(function(){
        submitApiKeyLoginForm(this, '{$action}', 'setAPIKey');

        return false;
    });

    $('#rememeber_api_key').click(function(){
        showCreateAccountForm(msg['login']['text_create_account']);
    });

{/block}



