{extends file="./includes/templates/base.tpl"}

{block name="content"}
    <article class="multiple-form-container">
        <form onsubmit="return submitConfigForm(this, '{$action}', 'setAPIKey', 'api-key')">
            <h3>{l s='API' mod='smspubli'}</h3>
            <fieldset class="form-group">
                <label for="api_key">{l s='API key' mod='smspubli'}</label>
                <input type="text" id="api_key" name="api_key" class="form-control inline" value="{$api_key}" required/>
                <a id="disconnect" class="btn-link" >{l s='Disconnect' mod='smspubli'}</a>
            </fieldset>
            <fieldset class="form-group">
                <button type="submit" class="btn btn-primary">{l s='Set API key' mod='smspubli'}</button>
            </fieldset>
        </form>
        <form id="form-admins">
            <h3>{l s='Admins' mod='smspubli'}</h3>
            <fieldset class="form-group">
                <label>{l s='Admins' mod='smspubli'}</label>
                <span id="button_modify_text" class="hidden">{l s='Modify' mod='smspubli'}</span>
                <span id="button_remove_text" class="hidden">{l s='Remove' mod='smspubli'}</span>
                <span id="button_admin_clicked" class="hidden"></span>
                <div class="table-small list">
                    <table id="admins-list">
                        {foreach from = $admins_array item = admin}
                            <tr id="{$admin->getId()}">
                                <td>
                                    <span id="admin-name-{$admin->getId()}">{$admin->getName()}</span></td>
                                <td>
                                <td>
                                    <span>+</span>
                                    <span id="admin-prefix-{$admin->getId()}">{$admin->getPrefix()}</span>
                                    <span id="admin-phone-{$admin->getId()}">{$admin->getMobilePhone()}</span>
                                </td>
                                <td>
                                    <button id="admin-list-btn-modify-{$admin->getId()}" type="button" class="btn btn-secondary btn-small" onclick="modifyAdmin('{$admin->getId()}')">{l s='Modify' mod='smspubli'}</button>
                                </td>
                                <td>
                                    <button id="admin-list-btn-remove-{$admin->getId()}" type="button" class="btn btn-secondary btn-small remove" >{l s='Remove' mod='smspubli'}</button>
                                </td>
                            </tr>
                        {foreachelse}
                            <tr>
                                <td colspan="4">{l s='Admins not found , please insert at least one' mod='smspubli'}</td>
                            </tr>
                        {/foreach}
                    </table>
                </div>
            </fieldset>
            <div id="form-modify">
                <h4>{l s='Edit admin' mod='smspubli'}</h4>
                <fieldset class="form-group">
                    <label for="modify_name">{l s='Name' mod='smspubli'}</label>
                    <input type="text" id="modify_name" name="modify_name" class="form-control"/>
                </fieldset>
                <fieldset class="form-group">
                    <div class="inline">
                        <label for="modify_prefix">{l s='Prefix' mod='smspubli'}</label>
                        <span class="plus"></span>
                        <input type="text" id="modify_prefix" name="modify_prefix" class="form-control prefix"/>
                    </div>
                    <div class="inline">
                        <label for="modify_phone">{l s='Mobile phone' mod='smspubli'}</label>
                        <input type="text" id="modify_phone" name="modify_phone" class="form-control phone"/>
                    </div>
                </fieldset>
                <fieldset class="form-group">
                    <input type="hidden" name="modify_id" id="modify_id"/>
                    <button type="submit" id="button-modify-save" class="btn btn-primary">{l s='Save' mod='smspubli'}</button>
                    <button type="button" id="button-modify-cancel" class="btn btn-secondary">{l s='Cancel' mod='smspubli'}</button>
                </fieldset>
            </div>
            <div id="form-new">
                <h4>{l s='New admin' mod='smspubli'}</h4>
                <fieldset class="form-group">
                    <label for="new_name">{l s='Name' mod='smspubli'}</label>
                    <input type="text" id="new_name" name="new_name" class="form-control"/>
                </fieldset>
                <fieldset class="form-group">
                    <div class="inline">
                        <label for="new_prefix">{l s='Prefix' mod='smspubli'}</label>
                        <span class="plus"></span>
                        <input type="text" id="new_prefix" name="new_prefix" class="form-control prefix"/>
                    </div>
                    <div class="inline">
                        <label for="new_phone">{l s='Mobile phone' mod='smspubli'}</label>
                        <input type="text" id="new_phone" name="new_phone" class="form-control phone"/>
                    </div>
                </fieldset>
                <fieldset class="form-group">
                    <button type="submit" id="button-new-save" class="btn btn-primary">{l s='Add' mod='smspubli'}</button>
                    <button type="button" id="button-new-cancel" class="btn btn-secondary">{l s='Cancel' mod='smspubli'}</button>
                </fieldset>
            </div>
            <fieldset id="button-add-admin-container" class="form-group">
                <button type="button" id="button-add-admin" class="btn btn-primary">{l s='Add admin' mod='smspubli'}</button>
            </fieldset>
        </form>
        <form onsubmit="return submitConfigForm(this, '{$action}', 'setNotification', 'notification')">
            <h3>{l s='SMS' mod='smspubli'}</h3>
            <fieldset class="form-group">
                <label for="from">{l s='SMS sender' mod='smspubli'}</label>
                <input type="text" id="from" name="from" class="form-control" value="{$from}" maxlength="11" required/>
                <div class="sms-information">
                    <div class="char-left-container"><span>{l s='Max length: %s chars. Left' sprintf='11' mod='smspubli'}: </span><span id="num_chars">11</span></div>
                </div>
            </fieldset>
            <fieldset class="form-group">
                <label for="frequency_qty">{l s='Minimum frequency for out-of-stock notifications' mod='smspubli'}</label>
                <input type="number" id="frequency_qty" name="frequency_qty" class="form-control inline" value="{$frequency_qty}" required/>
                <span class="inline">{l s='hours' mod='smspubli'}</span>
            </fieldset>
            <fieldset class="form-group">
                <label for="minimal_qty">{l s='Minimum quantity for out-of-stock notifications' mod='smspubli'}</label>
                <input type="number" id="minimal_qty" name="minimal_qty" class="form-control" value="{$minimal_qty}" required/>
            </fieldset>
            <fieldset class="form-group">
                <button type="submit" class="btn btn-primary">{l s='Save' mod='smspubli'}</button>
            </fieldset>
        </form>
    </article>
    <div class="modal-layer" id="modal_layer"></div>
    <div class="modal-window fade" id="modal_confirm" tabindex="-1" role="dialog">
        <div class="modal-window-dialog" role="document">
            <div class="modal-window-content">
                <div class="modal-window-header">
                    <a class="close button_modal_close">
                        <i class="fa fa-times-circle"></i>
                    </a>
                    <h4 class="modal-window-title" id="modal_title"></h4>
                </div>
                <div class="modal-window-body">
                    <p id="modal_message"></p>
                    <span class="hidden" id="origin_confirm"></span>
                    <span class="hidden" id="admin_id"></span>
                </div>
                <div class="modal-window-footer">
                    <button type="button" class="btn btn-secondary button_modal_close">{l s='Cancel' mod='smspubli'}</button>
                    <button id="action_confirm" type="button" class="btn btn-primary">{l s='Continue' mod='smspubli'}</button>
                </div>
            </div>
        </div>
    </div>
{/block}

{block name="jsCode" append}
    $(document).ready(function() {
        $("#from").each(function () {
            if ($(this).val() != "")
                from_box_controler($(this), "", $(this).val());
        });
        $('#button-modify-save').attr('disabled', 'disabled');
        $('#button-new-save').attr('disabled', 'disabled');
    });
    $("#from").valuechange(from_box_controler);

    $('#disconnect').click(function(){
        $('#modal_title').html(msg['confirm']['disconnect']['title']);
        $('#modal_message').html(msg['confirm']['disconnect']['text']);
        $('#origin_confirm').html('disconnect');
        $('#modal_confirm').toggle(
            function(){
                $('#modal_layer').toggle();
            }
        );
    });

    $('.button_modal_close').click(function(){
        $('#modal_confirm').toggle(
            function(){
                $('#modal_layer').toggle();
            }
        );
    });

    $("#admins-list").on({
        click: function () {
            $('#modal_title').html(msg['confirm']['delete']['title']);
            $('#modal_message').html(msg['confirm']['delete']['text']);
            $('#origin_confirm').html('remove');
            var id = $(this).attr('id').substr(22);
            $('#admin_id').html(id);
            $('#modal_confirm').toggle(
                function(){
                    $('#modal_layer').toggle();
                }
            );
        }
    },'.remove');

    $('#action_confirm').click(function(){
        if($('#origin_confirm').html()=='disconnect') {
            disconnect('{$action}');
        }
        if($('#origin_confirm').html()=='remove') {
            removeAdmin($("#admin_id").html(), '{$action}', 'removeAdmin');
            $('#modal_confirm').toggle();
        }
    });

    $('#button-add-admin').click(function(){
        $('#form-new').show();
        $('#button-add-admin-container').hide();
        $("#new_name").prop('required',true);
        $("#new_prefix").prop('required',true);
        $("#new_phone").prop('required',true);
        $('#button-new-save').removeAttr('disabled');
    });

    $('#button-new-cancel').click(function(){
        closeWindowNewAdmin();
    });

    $('#button-modify-cancel').click(function(){
        closeWindowModifyAdmin();
    });

    $("#button-new-save").click(function(){
        $('#button_admin_clicked').html('new');
    });

    $("#button-modify-save").click(function(event){
        $('#button_admin_clicked').html('modify');
    });


    $('#form-admins').on('submit', function(){
        if($("#button_admin_clicked").html() == 'new'){
            submitConfigForm('#form-admins', '{$action}', 'newAdmin', 'new-admin', true)
        }
        else{
            if($("#button_admin_clicked").html() == 'modify'){
                submitConfigForm('#form-admins', '{$action}', 'editAdmin', 'modify-admin', true)
            }
        }
        return false;
    });

{/block}

