{extends file="./includes/templates/base.tpl"}

{block name="content"}
    <p>{l s='Select recipients from the left and/or enter mobile phone numbers in recipients box (one per line). Then, write the sms text and send it. Duplicated numbers will be removed' mod='smspubli'}</p>
    <form onsubmit="return submitSendForm(this, '{$action}')">
        <fieldset class="form-group">
            <label>{l s='Groups' mod='smspubli'}</label>
            <div id="filter-group">
                {foreach from = $array_groups key = id_group item = name_group}
                    <div class="filter">
                        <div class="onoffswitch">
                            <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" id="filter-{$id_group}" checked onclick="filterCustomers({$id_language}, '{$action}', {$id_group})">
                            <label class="onoffswitch-label" for="filter-{$id_group}">
                                <span class="onoffswitch-inner"></span>
                                <span class="onoffswitch-switch"></span>
                            </label>
                        </div>
                        <span class="text-out-switch">{$name_group}</span>
                    </div>
                {/foreach}
            </div>
            <label class="c-checkbox" onclick="checkAllCustomers()">
                <input type="checkbox" name="select-all">
                <span class="c-indicator check-medium fa"></span>
                <div class="label-checkbox">{l s='Select / Unselect all' mod='smspubli'}</div>
            </label>
            <div class="table-small list">
                <table id="customers-filtered">
                    {foreach from = $array_customers key = id_customer item = data_array}
                        <tr>
                            <td>
                                <label class="c-checkbox" onclick="disableCheckAllCustomers();">
                                    <input type="checkbox" name="customers[]" value="{$data_array->getPrefix()}-{$data_array->getPhoneMobile()}">
                                    <span class="c-indicator check-small fa"></span>
                                    <div class="label-checkbox">{$data_array->getName()} {$data_array->getLastname()}</div>
                                </label>
                            </td>
                        </tr>
                    {/foreach}
                </table>
            </div>
            <div class="sms-information">
                <div class="char-left-container"><span>{l s='Selected' mod='smspubli'}: </span><span id="num_recipients">0</span></div>
            </div>
        </fieldset>
        <fieldset class="form-group recipients">
            <div class="form-row">
                <div class="button-group">
                    <button type="button" name="input-prefix" id="input-prefix" class="btn btn-secondary btn-big list-toggle">{$prefixes[$current_lang]->getName()} (+{$prefixes[$current_lang]->getCallingCode()})</button>
                    <div class="dropdown-menu">
                        {foreach from = $prefixes item = prefix}
                            <a class="dropdown-item" value="{$prefix->getId()}">{$prefix->getName()} (+{$prefix->getCallingCode()})</a>
                        {/foreach}
                    </div>
                </div>
                <input type="hidden" id="recipient-prefix" name="recipient-prefix" value="{$prefixes[$current_lang]->getId()}"/>
            </div>
            <div class="form-row">
                <label for="recipients">{l s='Recipients' mod='smspubli'}</label>
                <textarea rows="30" id="recipients" name="recipients" class="form-control"></textarea>
            </div>
        </fieldset>
        <fieldset class="form-group">
            <label for="message">{l s='SMS text' mod='smspubli'}</label>
            <textarea rows="30" id="message" name="message" class="form-control sendsms-message" required></textarea>
            <div class="sms-information">
                <div class="char-left-container"><span>{l s='Left' mod='smspubli'}: </span><span id="num_chars">160</span></div>
                <div class="num-sms-container"><span id="num_sms"></span><span id="envelops" style="font-size: 40px; line-height:0.2; vertical-align: middle;"> </span></div>
            </div>
            <button type="submit" class="btn btn-primary btn-big">{l s='Send' mod='smspubli'}</button>
        </fieldset>
    </form>
{/block}

{block name="jsCode" append}
    $(document).ready(function() {
        $("textarea[name='message']").each(function () {
            if ($(this).val() != "")
                message_box_controler($(this), "", $(this).val());
        });
    });
    $("textarea[name='message']").valuechange(message_box_controler);

    $('input[name="customers[]"]').change(function(){
        $('#num_recipients').html(countChecked('customers[]'));
    });

    $('.dropdown-item').click(function(){
        $('#input-prefix').html($(this).html());
        $('#recipient-prefix').val($(this).attr('value'));
        $(this).parent().toggle();
    });

    $('.list-toggle').click(function(){
        $(this).siblings('.dropdown-menu').toggle();
    });

{/block}
