<?php

require_once(dirname(__FILE__).'/../controller/APIController.php');
require_once(dirname(__FILE__).'/../model/DAOSmsModuleConfig.php');

class SmsModuleConfig {
    private static $instance;

    private $api_key;
    private $from;
    private $admins;
    private $frequency_advert_out_stock;
    private $minimal_quantity_out_stock;
    private $send_at;

    function __construct($api_key, $from, $admins, $frequency_advert_out_stock, $minimal_quantity_out_stock, $send_at = null)
    {
        $this->api_key = $api_key;
        $this->from = $from;
        $this->admins = $admins;
        $this->frequency_advert_out_stock = $frequency_advert_out_stock;
        $this->minimal_quantity_out_stock = $minimal_quantity_out_stock;
        $this->send_at = $send_at;
    }

    public static function getInstance()
    {
        if (!isset(self::$instance)) {
            self::$instance = DAOSmsModuleConfig::getInstance()->load();
        }
        return self::$instance;
    }

    public function isValidApiKey($api_key)
    {
        if (APIController::getInstance()->checkApiKey($api_key) == 'ok')
        {
            return true;
        }
        return false;
    }

    /**
     * @return mixed
     */
    public function getApiKey()
    {
        return $this->api_key;
    }

    /**
     * @param mixed $api_key
     */
    public function setApiKey($api_key)
    {
        $this->api_key = $api_key;
    }

    /**
     * @return mixed
     */
    public function getFrom()
    {
        return $this->from;
    }

    /**
     * @param mixed $from
     */
    public function setFrom($from)
    {
        $this->from = $from;
    }

    /**
     * @return mixed
     */
    public function getAdmins()
    {
        return $this->admins;
    }

    /**
     * @param mixed $admins
     */
    public function setAdmins($admins)
    {
        $this->admins = $admins;
    }

    /**
     * @return mixed
     */
    public function getFrequencyAdvertOutStock()
    {
        return $this->frequency_advert_out_stock;
    }

    /**
     * @param mixed $frequency_advert_out_stock
     */
    public function setFrequencyAdvertOutStock($frequency_advert_out_stock)
    {
        $this->frequency_advert_out_stock = $frequency_advert_out_stock;
    }

    /**
     * @return mixed
     */
    public function getMinimalQuantityOutStock()
    {
        return $this->minimal_quantity_out_stock;
    }

    /**
     * @param mixed $minimal_quantity_out_stock
     */
    public function setMinimalQuantityOutStock($minimal_quantity_out_stock)
    {
        $this->minimal_quantity_out_stock = $minimal_quantity_out_stock;
    }

    /**
     * @return null
     */
    public function getSendAt()
    {
        return $this->send_at;
    }

    /**
     * @param null $send_at
     */
    public function setSendAt($send_at)
    {
        $this->send_at = $send_at;
    }

    function isCurl(){
        return function_exists('curl_version');

    }
    public function reload()
    {
        DAOSmsModuleConfig::getInstance()->load($this);
    }

}

?>