<table class="table">
    <thead>
    <tr>
        <th>{$table_title}</th>
        <th class="active">{l s='Active' mod='smspubli'}</th>
    </tr>
    </thead>
    <tbody>
    {foreach from = $hook_array key = key item = text}
        {if isset($hook)}
            {$key = $hook|cat:$key}
            {$variable_group = $variables->getHookVariables($hook)}
        {else}
            {$variable_group = $variables->getHookVariables($key)}
        {/if}

        {if $key|array_key_exists:$existing_array}
            {$message = $existing_array[$key]->getMessage()}
            {$active = $existing_array[$key]->getActive()}
        {else}
            {$message = ''}
            {$active = 0}
        {/if}
        <tr id="row-{$client}-{$key}" class="selectable-row" onclick="toggleForm('{$client}-{$key}')">
            <td><span>{$text}</span></td>
            <td class="active">
                <i id="icon-{$client}-{$key}" class="fa {if $active == 0} {'fa-times'} {else} {'fa-check'} {/if}"></i>
            </td>
        </tr>
        <tr id="hidden-form-{$client}-{$key}" class="sms-form">
            <td colspan="2">
                <form onsubmit="return submitHookForm(this, '{$action}', '{$hook}', '{$key}')">
                    <fieldset class="form-group">
                        <label for="message-{$client}-{$key}">{l s='SMS text' mod='smspubli'}</label>
                        <textarea rows="6" id="message-{$client}-{$key}" name="message-{$key}" class="form-control" onchange="setPreview('{$client}-{$key}', examples)" onkeyup="setPreview('{$client}-{$key}', examples)">{$message}</textarea>
                        <label for="message-preview-{$client}-{$key}">{l s='SMS text sample' mod='smspubli'}</label>
                        <textarea rows="6" id="message-preview-{$client}-{$key}" name="message-preview-{$key}" class="form-control disabled" disabled="disabled">{$variables->putExamples({$message})}</textarea>
                    </fieldset>
                    <fieldset class="form-group">
                        <label>{l s='Variables' mod='smspubli'}</label>
                        <div class="table-small">
                            <table>
                                {foreach from = $variable_group key = variable_title item = variable_array}
                                    <thead>
                                    <tr>
                                        <th>{$variable_title}</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {foreach from = $variable_array key = variable item = description}
                                        <tr class="selectable-row variable-row" onclick="addVariable('{$client}-{$key}', '{$variable}', examples)">
                                            <td>
                                                <span id="variable-{$client}-{$key}-{$variable|replace:array('{', '}'):''}">{$variable}</span>
                                                <span class="hidden" id="description-{$client}-{$key}-{$variable|replace:array('{', '}'):''}">{$description}</span>
                                            </td>
                                        </tr>
                                    {/foreach}
                                    </tbody>
                                {/foreach}
                            </table>
                        </div>
                    </fieldset>
                    <div>
                        <fieldset class="form-group">
                            {if $client == 'customer'}
                                {include file='./table-edit-hook-sms-customer.tpl'}
                            {else}
                                {include file='./table-edit-hook-sms-admin.tpl'}
                            {/if}
                            <button type="submit" class="btn btn-primary">{l s='Save' mod='smspubli'}</button>
                            {if isset($hook)}
                                {$pos = $hook|strlen}
                                {$id = $key|substr:$pos}

                                <input type="hidden" name="option" value="{$id}">
                            {/if}
                            <input type="hidden" name="client" value="{$client}">
                        </fieldset>
                    </div>
                </form>
            </td>
        </tr>
    {/foreach}
    </tbody>
</table>


<script>

    var examples = {$variables_examples|json_encode};

    $(".variable-row").mouseover(function(e){
        var prefix = 'variables';
        var key = $(this).find("span[id^=variable-]").attr('id').substr(prefix.length);
        $('#information span').html($('#description-'+key).html());
        $('#information').css( 'top', e.pageY -15 );
        $('#information').css( 'left', e.pageX + 100 );
        $('#information').removeClass('hidden');
        $('#information').show();
    });

    $(".variable-row").mouseout(function(){
        $('#information span').html('');
        $('#information').hide();
    });

</script>