<?php

require_once(dirname(__FILE__).'/../../../config/config.inc.php');
require_once(dirname(__FILE__) . '/../classes/AdminSmsConfig.php');
require_once(dirname(__FILE__) . '/DAOAdmin.php');


class DAOAdminSmsConfig
{
    const TABLE = 'smspubli_admin_sms_config_active';
    const BASETABLE = 'smspubli_admin_sms_config';

    private static $instance;


    public static function getInstance()
    {
        if (!isset(self::$instance)) {
            self::$instance = new self();
        }
        return self::$instance;
    }
    

    public function save(AdminSmsConfig $admin_sms)
    {
        $sql = "SELECT id FROM ". _DB_PREFIX_. $this::BASETABLE."
                WHERE hook = '". $admin_sms->getHook() ."' AND option_id = ". $admin_sms->getOption();


        if (!$row = Db::getInstance()->getRow($sql))
        {
            Db::getInstance()->insert($this::BASETABLE, array(
                'hook'      => pSQL($admin_sms->getHook()),
                'option_id' => (int)$admin_sms->getOption(),
                'message'   => pSQL($admin_sms->getMessage()),
            ));

            foreach($admin_sms->getAdmins() as $admin) {
                Db::getInstance()->insert($this::TABLE, array(
                    'id_sms'   => Db::getInstance()->Insert_ID(),
                    'id_admin' => (int)$admin,
                    'active'   => 1,
                ));
            }
        }
        else
        {
            Db::getInstance()->update($this::BASETABLE, array(
                'message'   => pSQL($admin_sms->getMessage())
                ),
                'id = '. (int)$row['id']
            );

            //Se desactivan todos los administradores para posteriormente activar los actuales
            Db::getInstance()->delete($this::TABLE,
                'id_sms = ' . (int)$row['id']
            );

            //Se activan los administradores actuales
            foreach($admin_sms->getAdmins() as $admin) {
                Db::getInstance()->insert($this::TABLE, array(
                    'id_sms'   => $row['id'],
                    'id_admin' => (int)$admin,
                    'active'   => 1,
                ));
            }
        }

        if(Db::getInstance()->getMsgError())
        {
            return Db::getInstance()->getMsgError();
        }

        return true;
    }

    public function loadIdSmsHook($hook, $option)
    {
        if(!$option || $option == ''){
            $option = 0;
        }

        $sql = "SELECT id FROM ". _DB_PREFIX_. $this::BASETABLE."
                WHERE hook = '".$hook."' AND option_id = ".$option;

        if ($row = Db::getInstance()->getRow($sql))
        {
            return $row['id'];
        }

        return null;
    }

    public function loadTextSms($id)
    {
        $sql = "SELECT message FROM ". _DB_PREFIX_. $this::BASETABLE."
                WHERE id = ".$id;

        if ($row = Db::getInstance()->getRow($sql))
        {
            return $row['message'];
        }

        return null;
    }

    public function loadAdminsActive($id)
    {
        $sql = "SELECT id_admin FROM ". _DB_PREFIX_. $this::TABLE."
                WHERE id_sms = ".$id;

        if ($results = Db::getInstance()->ExecuteS($sql))
        {
            $admins_array = array();
            foreach ($results as $row) {
                $admins_array[]= $row['id_admin'];
            }
            return $admins_array;
        }

        return null;
    }

    public function loadAll()
    {
        $admin_array = array();
        $admin_sms_array = array();

        $sql = "SELECT * FROM ". _DB_PREFIX_. $this::TABLE;

        if ($results = Db::getInstance()->ExecuteS($sql))
        {
            foreach ($results as $row)
            {
                $admin_array[$row['id_sms']][$row['id_admin']] = DAOAdmin::getInstance()->getById($row['id_admin']);
            }
        }

        $sql = "SELECT * FROM ". _DB_PREFIX_. $this::BASETABLE;

        if ($results = Db::getInstance()->ExecuteS($sql))
        {
            foreach ($results as $row)
            {
                $admins = (isset($admin_array[$row['id']])) ? $admin_array[$row['id']] : array();
                $key = ($row['option_id'] != 0) ? $row['hook'].$row['option_id'] : $row['hook'];
                $admin_sms_array[$key] = new AdminSmsConfig($row['message'], $admins, $row['hook'], $row['option_id']);
            }
        }

        return $admin_sms_array;
    }

    public function isActivedHook($hook, $option = 0)
    {
        $sql = "SELECT a.active AS active
                FROM ". _DB_PREFIX_. $this::TABLE." a, ". _DB_PREFIX_. $this::BASETABLE." b
                WHERE b.hook = '". $hook ."' AND b.option_id = ". $option ." AND a.id_sms = b.id AND a.active = 1";


        if ($row = Db::getInstance()->getRow($sql))
        {
            return true;
        }

        return false;
    }

    public function isSomeActivedHook()
    {
        $sql = "SELECT active
                FROM ". _DB_PREFIX_. $this::TABLE."
                WHERE active = 1";


        if ($row = Db::getInstance()->getRow($sql))
        {
            return true;
        }

        return false;
    }

    public function deleteConfigByAdmin($id)
    {
        Db::getInstance()->delete($this::TABLE,
            'id_admin = '.$id
        );


        if(Db::getInstance()->getMsgError())
        {
            return Db::getInstance()->getMsgError();
        }

        return true;
    }
}

?>