<?php

require_once(dirname(__FILE__).'/../../../config/config.inc.php');
require_once(dirname(__FILE__) . '/../classes/CustomerSmsConfig.php');


class DAOCustomerSmsConfig
{
    const TABLE = 'smspubli_customer_sms_config';

    private static $instance;


    public static function getInstance()
    {
        if (!isset(self::$instance)) {
            self::$instance = new self();
        }
        return self::$instance;
    }
    

    public function save(CustomerSmsConfig $customer_sms)
    {
        $sql = "SELECT id FROM ". _DB_PREFIX_. $this::TABLE."
                WHERE hook = '". $customer_sms->getHook() ."' AND option_id = ". $customer_sms->getOption();


        if (!$row = Db::getInstance()->getRow($sql))
        {
            Db::getInstance()->insert($this::TABLE, array(
                'hook'      => pSQL($customer_sms->getHook()),
                'option_id' => (int)$customer_sms->getOption(),
                'message'   => pSQL($customer_sms->getMessage()),
                'active'    => (int)$customer_sms->getActive(),
            ));
        }
        else
        {
            Db::getInstance()->update($this::TABLE, array(
                'message'   => pSQL($customer_sms->getMessage()),
                'active'    => (int)$customer_sms->getActive(),
                ),
                'id = '. (int)$row['id']
            );
        }

        if(Db::getInstance()->getMsgError())
        {
            return Db::getInstance()->getMsgError();
        }

        return true;
    }

    public function loadTextHookActive($hook, $option)
    {
        if(!$option){
            $option = 0;
        }

        $sql = "SELECT message
                FROM ". _DB_PREFIX_. $this::TABLE."
                WHERE hook = '". $hook ."' AND option_id = ". $option ." AND active = 1";


        if ($row = Db::getInstance()->getRow($sql))
        {
            return $row['message'];
        }

        return null;
    }

    public function loadAll()
    {
        $customer_sms_array = array();

        $sql = "SELECT * FROM ". _DB_PREFIX_. $this::TABLE;

        if ($results = Db::getInstance()->ExecuteS($sql))
        {
            foreach ($results as $row)
            {
                $key = ($row['option_id'] != 0) ? $row['hook'].$row['option_id'] : $row['hook'];
                $customer_sms_array[$key] = new CustomerSmsConfig($row['message'], $row['active'], $row['hook'], $row['option_id']);
            }
        }

        return $customer_sms_array;
    }

    public function isActivedHook($hook, $option = 0)
    {
        $sql = "SELECT active
                FROM ". _DB_PREFIX_. $this::TABLE."
                WHERE hook = '". $hook ."' AND option_id = ". $option ." AND active = 1";


        if ($row = Db::getInstance()->getRow($sql))
        {
            return true;
        }

        return false;
    }

    public function isSomeActivedHook()
    {
        $sql = "SELECT active
                FROM ". _DB_PREFIX_. $this::TABLE."
                WHERE active = 1";


        if ($row = Db::getInstance()->getRow($sql))
        {
            return true;
        }

        return false;
    }
}

?>