<?php

require_once(dirname(__FILE__).'/../../../config/config.inc.php');
require_once(dirname(__FILE__) . '/../classes/SmsModuleConfig.php');
require_once(dirname(__FILE__) . '/../classes/Admin.php');


class DAOSmsModuleConfig
{
    const BASETABLE = 'smspubli_module_config';
    const TABLE = 'smspubli_admins';

    private static $instance;


    public static function getInstance()
    {
        if (!isset(self::$instance)) {
            self::$instance = new self();
        }
        return self::$instance;
    }
    

    public function save(SmsModuleConfig $sms_module_config)
    {
        $sql = "SELECT * FROM ". _DB_PREFIX_. $this::TABLE;


        if (!$row = Db::getInstance()->getRow($sql))
        {
            Db::getInstance()->insert($this::BASETABLE, array(
                'api_key'                    => pSQL($sms_module_config->getApiKey()),
                'from'                       => pSQL($sms_module_config->getFrom()),
                'frequency_advert_out_stock' => pSQL($sms_module_config->getFrequencyAdvertOutStock()),
                'min_qty_advert_out_stock'   => pSQL($sms_module_config->getMinimalQuantityOutStock()),
                'send_at'                    => pSQL($sms_module_config->getSendAt()),
            ));
        }
        else
        {
            Db::getInstance()->update($this::BASETABLE, array(
                'api_key'                    => pSQL($sms_module_config->getApiKey()),
                'from'                       => pSQL($sms_module_config->getFrom()),
                'frequency_advert_out_stock' => pSQL($sms_module_config->getFrequencyAdvertOutStock()),
                'min_qty_advert_out_stock'   => pSQL($sms_module_config->getMinimalQuantityOutStock()),
                'send_at'                    => pSQL($sms_module_config->getSendAt()),
                ),
                'id = '. (int)$row['id']
            );
        }

        if(Db::getInstance()->getMsgError())
        {
            return Db::getInstance()->getMsgError();
        }

        return true;
    }

    public function load(SmsModuleConfig $sms_module_config = null)
    {
        $admins_array = array();

        $sql = "SELECT * FROM ". _DB_PREFIX_. $this::TABLE;


        if ($results = Db::getInstance()->ExecuteS($sql))
        {
            foreach ($results as $row) {
                array_push($admins_array, new Admin($row['id'], $row['name'], $row['prefix'], $row['mobile_phone']));
            }
        }

        $sql = "SELECT * FROM ". _DB_PREFIX_. $this::BASETABLE;


        if ($row = Db::getInstance()->getRow($sql))
        {
            if(!$sms_module_config)
                return new SmsModuleConfig($row['api_key'], $row['from'], $admins_array, $row['frequency_advert_out_stock'], $row['min_qty_advert_out_stock'], $row['send_at']);
            else
            {
                $sms_module_config->setApiKey($row['api_key']);
                $sms_module_config->setFrom($row['from']);
                $sms_module_config->setAdmins($admins_array);
                $sms_module_config->setFrequencyAdvertOutStock($row['frequency_advert_out_stock']);
                $sms_module_config->setMinimalQuantityOutStock($row['min_qty_advert_out_stock']);
                $sms_module_config->setSendAt($row['send_at']);
                return $sms_module_config;
            }
        }

    }

    public function saveAPIKey(SmsModuleConfig $sms_module_config)
    {
         Db::getInstance()->update($this::BASETABLE, array(
                'api_key' => pSQL($sms_module_config->getApiKey()),
            )
        );


        if(Db::getInstance()->getMsgError())
        {
            return Db::getInstance()->getMsgError();
        }

        return true;
    }

    public function saveNotification(SmsModuleConfig $sms_module_config)
    {
        Db::getInstance()->update($this::BASETABLE, array(
                'from'                       => pSQL($sms_module_config->getFrom()),
                'frequency_advert_out_stock' => pSQL($sms_module_config->getFrequencyAdvertOutStock()),
                'min_qty_advert_out_stock'   => pSQL($sms_module_config->getMinimalQuantityOutStock()),
            )
        );


        if(Db::getInstance()->getMsgError())
        {
            return Db::getInstance()->getMsgError();
        }

        return true;
    }

    public function clearAPIKey()
    {
        Db::getInstance()->update($this::BASETABLE, array(
                'api_key' => pSQL(null),
            ),
            '',
            0,
            true
        );



        if(Db::getInstance()->getMsgError())
        {
            return Db::getInstance()->getMsgError();
        }

        return true;
    }
}

?>